
Redmine - Defect #10281

Right click on Ticket list opens browser context menu instead of redmine context menu in Firefox 

2012-02-20 14:27 - Frank Helk

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 1.3.1

Description

Steps to reproduce:

- show ticket list

- right click in list where no text is

Expected Result: Shows Redmine context menu for bulk edit

Observed (incorrect) result: Redmine context menu is opened, but overlaid by the browser's right-click menu.

Observed in Firefox 10.0.2 (WinXP SP3 x86). Seems to work well in IE8 (only Redmine context menu shown)

History

#1 - 2012-02-22 21:59 - Jean-Philippe Lang

- Resolution set to Cant reproduce

Works fine for me with Firefox 10.0.2 and Windows 7.

#2 - 2012-02-23 10:32 - Etienne Massip

Idem, works fine for me with XP and FF 13a.

#3 - 2012-02-23 11:09 - Frank Helk

- Status changed from New to Resolved

Ooops - have investigated further, my fault.

I use a plugin named "Controle de scripts", and there is a setting to forbid JavaScript to replace or deactivate the browser context menu.

Changed the setting to "allow", and the problem is gone now. Mea culpa ... sorry for any inconvenience.

#4 - 2012-02-23 11:58 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Resolution changed from Cant reproduce to Invalid

No problem, thanks for the feedback.
